org.wso2.carbon.device.mgt.mobile.windows.api.common.exceptions

## Class CertificateGenerationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.wso2.carbon.device.mgt.mobile.windows.api.common.exceptions.CertificateGenerationException

- All Implemented Interfaces:
    Serializable

      public class CertificateGenerationException
      extends Exception

  Exception class for Certificate generation failures in WSTEP stage.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertificateGenerationException()`
    `CertificateGenerationException(String message)`
    `CertificateGenerationException(String message, Exception nestedEx)`
    `CertificateGenerationException(String message, Throwable cause)`
    `CertificateGenerationException(Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getErrorMessage()`
    `void` | `setErrorMessage(String errorMessage)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CertificateGenerationException

          public CertificateGenerationException(String message)

    - #### CertificateGenerationException

          public CertificateGenerationException(String message,
                                        Throwable cause)

    - #### CertificateGenerationException

          public CertificateGenerationException(String message,
                                        Exception nestedEx)

    - #### CertificateGenerationException

          public CertificateGenerationException(Throwable cause)

    - #### CertificateGenerationException

          public CertificateGenerationException()

  - ### Method Detail

    - #### getErrorMessage

          public String getErrorMessage()

    - #### setErrorMessage

          public void setErrorMessage(String errorMessage)

Copyright © 2017 WSO2. All rights reserved.